#1965 closed defect (fixed)

multiple gdbarmsim variants do not build

Reported by: Joel Sherrill Owned by: Sebastian Huber
Priority: normal Milestone: 4.11
Component: bsps Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

arm-rtems4.11-gcc --pipe -B../../../../../.././lib/ -B../../../../../.././armcortexa9/lib/ -specs bsp_specs -qrtems -DHAVE_CONFIG_H -isystem ../../../../../.././armcortexa9/lib/include -mcpu=cortex-a9 -O2 -g -Wall -Wimplicit-function-declaration -Wstrict-prototypes -Wnested-externs -MT bsplibc.o -MD -MP -MF .deps/bsplibc.Tpo -c -o bsplibc.o test -f '../../shared/bsplibc.c' || echo '/users/joel/test-gcc/rtems/c/src/lib/libbsp/arm/gdbarmsim/'../../shared/bsplibc.c
In file included from ../../../../../.././lib/include/rtems.h:50:0,

from /users/joel/test-gcc/rtems/c/src/lib/libbsp/arm/gdbarmsim/../../shared/bsplibc.c:8:

../../../../../.././lib/include/rtems/rtems/types.h:111:1: error: unknown type name 'CPU_Interrupt_frame'

Change History (4)

comment:1 Changed on Nov 13, 2011 at 6:11:37 PM by Joel Sherrill

Owner: changed from Joel Sherrill to Sebastian Huber

comment:2 Changed on Nov 13, 2011 at 6:19:55 PM by Joel Sherrill

Summary: gdbarmsim does not buildmultiple gdbarmsim variants do not build

comment:3 Changed on Feb 14, 2012 at 3:08:08 PM by Sebastian Huber

Resolution: fixed
Status: newclosed

Fixed in Git master.

comment:4 Changed on Nov 23, 2014 at 3:50:06 PM by Gedare Bloom

Version: unknown4.11

Set version based on title name, these seem obviously to only affect 4.11

Note: See TracTickets for help on using tickets.